/*
 * SO2 Lab - Linux device drivers (#4)
 * All tasks
 */

#include <linux/module.h>
#include <linux/init.h>
#include <linux/kernel.h>
#include <linux/fs.h>
#include <linux/cdev.h>
#include <asm/uaccess.h>
#include <linux/sched.h>
#include <linux/wait.h>

#include "../include/so2_cdev.h"

MODULE_DESCRIPTION("SO2 character device");
MODULE_AUTHOR("SO2");
MODULE_LICENSE("GPL");

#define LOG_LEVEL	KERN_ALERT

#define MY_MAJOR		42
#define MY_MINOR		0
#define NUM_MINORS		1
#define MODULE_NAME		"so2_cdev"
#define MESSAGE			"hello\n"
#define IOCTL_MESSAGE		"Hello ioctl"

#define return_with_error(func_name, err)				\
	do {								\
		printk(LOG_LEVEL "%s: error %d\n", func_name, err);	\
		return err;						\
	} while (0)


#ifndef BUFSIZ
#define BUFSIZ		4096
#endif


static int so2_cdev_init(void)
{
	return 0;
}

static void so2_cdev_exit(void)
{
}

module_init(so2_cdev_init);
module_exit(so2_cdev_exit);
